## baloo-widgets5 22.08.1

=== debian/changelog ===
baloo-widgets5 (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:34:58 +0100

baloo-widgets5 (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:45:23 +0100

baloo-widgets5 (4:22.04.3-1ubuntu2) kinetic; urgency=medium

  * Fix debian/watch

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 29 Jul 2022 13:18:03 +0100

baloo-widgets5 (4:22.04.3-1ubuntu1) kinetic; urgency=medium

  * Sync changes from Debian baloo-widgets.
    - Drop acc test.
    - Update copyright, metadata and watch file.
    - Modernize building with dh-sequence-kf5 build dependency.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Jul 2022 10:01:33 +0100

baloo-widgets5 (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:22:34 +0100

baloo-widgets5 (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:56:05 +0100

baloo-widgets5 (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:52:50 +0100

baloo-widgets5 (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:42:42 +0100
