=== src/CMakeLists.txt ===
--- 
+++ 
@@ -40,7 +40,6 @@
     tagcheckbox.h
     tagwidget.cpp
     tagwidget.h
-    tagwidget_p.h
     widgetfactory.cpp
     widgetfactory.h
 )
