=== debian/changelog ===
baloo-widgets5 (4:24.08.1-0ubuntu1) oracular; urgency=medium

  * New upstream release (24.08.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Sep 2024 06:23:31 +0100

baloo-widgets5 (4:24.08.0-1ubuntu2) oracular; urgency=medium

  * Add breaks/replaces for upgrade. (LP: #2080206)

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Sep 2024 09:15:25 +0100

baloo-widgets5 (4:24.08.0-1ubuntu1) oracular; urgency=medium

  * Merge debian experimental.
  * Update maintainer fields.

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 04 Sep 2024 18:16:59 +0100

baloo-widgets (4:24.08.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 24 Aug 2024 11:45:33 +0200

baloo-widgets (4:24.05.2-2) experimental; urgency=medium

  [ Jesse Rhodes ]
  * Add Breaks/Replaces for libkf5baloowidgets-bin. (Closes: #1077966)

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 14 Aug 2024 22:33:03 +0200

baloo-widgets (4:24.05.2-1) experimental; urgency=medium

  [ Jesse Rhodes ]
  * New upstream release (24.05.2).
  * Update build-deps and deps with info from cmake.
  * Use dh-sequence-kf6 and specify building with Qt6.
  * Bump to libkf6baloowidgets6 and adjust *.install to match.
  * Generate new libkf6baloowidgets6.symbols.
  * Add Breaks/Replaces for libkf5baloowidgets5.
  * Drop kf6 from -bin and -dev package names.
  * Update libbaloowidgets-dev dependencies with info from cmake.
  * Update copyright info.
  * Override lintian W: no-manual-page for
    baloo_filemetadata_temp_extractor
  * Bump Standards-Version to 4.7.0 (no changes needed).

  [ Aurélien COUDERC ]
  * Use hardening=+all build hardening flag.
  * Drop obsolete Breaks.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 29 Jul 2024 23:54:18 +0200

baloo-widgets (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:42 +0100

baloo-widgets (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 22:32:59 +0100
